# Class: Decrypter

## Decrypter

#### new Decrypter(encrypted, key, initVector, done)

The `Decrypter` class that manages decryption of AES data through `AsyncStream` objects and the `decrypt` function

##### Parameters:

Name | Type | Description
--- | --- | ---
`encrypted` | Uint8Array | the encrypted bytes
`key` | Uint32Array | the bytes of the decryption key
`initVector` | Uint32Array | the initialization vector (IV) to
`done` | function | the function to run when done

Source:
  - decrypter/decrypter.js, line 104

### Members

#### (static) STEP

a getter for step the maximum number of bytes to process at one time

Source:
  - decrypter/decrypter.js, line 151